GNU bug report logs - #11748
date: "Asia" Timezone

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: Boruch Baum <boruch_baum@HIDDEN>; merged with #9614, #14229; dated Tue, 19 Jun 2012 20:05:01 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Merged 9614 11748 14229. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) notabug. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 11748 <at> debbugs.gnu.org:


Received: (at 11748) by debbugs.gnu.org; 15 Oct 2018 21:21:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 15 17:21:17 2018
Received: from localhost ([127.0.0.1]:51542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gCAIf-0004xk-Kw
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2018 17:21:17 -0400
Received: from mout.gmx.net ([212.227.15.19]:38629)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boruch_baum@HIDDEN>) id 1gCAId-0004xX-PG
 for 11748 <at> debbugs.gnu.org; Mon, 15 Oct 2018 17:21:16 -0400
Received: from E15-2016.optimum.net ([108.6.168.221]) by mail.gmx.com
 (mrgmx003 [212.227.17.184]) with ESMTPSA (Nemesis) id
 0MJBRC-1gEvSJ1gxW-002npK for <11748 <at> debbugs.gnu.org>; Mon, 15 Oct 2018
 23:21:09 +0200
Received: from E15-2016.optimum.net ([108.6.168.221]) by mail.gmx.com
 (mrgmx003 [212.227.17.184]) with ESMTPSA (Nemesis) id
 0MJBRC-1gEvSJ1gxW-002npK for <11748 <at> debbugs.gnu.org>; Mon, 15 Oct 2018
 23:21:09 +0200
Date: Mon, 15 Oct 2018 17:21:00 -0400
From: Boruch Baum <boruch_baum@HIDDEN>
To: 11748 <at> debbugs.gnu.org
Subject: Re: bug#11748 acknowledged by developer ()
Message-ID: <20181015212100.swuzvpw7epql2fyc@HIDDEN>
References: <ffcfcc44-8fd9-e3d5-0acd-0e926f4804ab@HIDDEN>
 <4FE0DA76.2000501@HIDDEN>
 <handler.11748.C.153962344517807.notifdonectrl.0 <at> debbugs.gnu.org>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <handler.11748.C.153962344517807.notifdonectrl.0 <at> debbugs.gnu.org>
User-Agent: NeoMutt/20180716
X-Provags-ID: V03:K1:gFBefT+jTqv5B9+TmCgigifVzg3SjqvuqPrbBhPWzch20YX+Pzl
 l3wzQZDBB1ifywlMW8E7U/yZlAdu1lx8kPFBjN8+HFERi2Jrcv/WH0eeeKTGHrZcQ0HpicE
 rNl7NCMANwiLcSgN9Nb0rOA3d4gEi76W6D8dD+v/iCgS4UQGlmyCoT53aJSFCn1SXntKVJV
 fwao2HcD8Af+GDtjLMKbA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:oR0B4RMMxrg=:Y3aV+vwmtDOyKkyUT69yiI
 GxwTrsUbA3BV3TTSpkXPqcZUlUKLvLkKw89caz9xpSM628LjsyARsXHupKgpgPUoncKAPg/V2
 n2ESfnBROKCFEZfaUHJQm/5zfy4PxRr/VbutInwM9R8ISnNczBOMTXFiXkSI9znbXsbp1W0jG
 6jPgvF91azoB1b5NB1EODrKAPzSzzN1Tzfpvz1EqkfymoStKjwhesO8zv4Mh+sYtZq8aD2hMM
 ElLXmFcLPb4SFT7pKLpvq2TuMOa9FZhYMGQoO+gkomLnzfjQGc9nFnq8eknqga1u+wYMEQlr9
 QodAMBeLlS/6RPE9ntUmrTPM6GmEzUMFFZ3qWrsL7n6LnLM1gF2oXd6d1WXpfRYp9Yc7eVwm/
 assUOqWxzDFQKOzXfcMcMFwy2m+PR8MJEUmVKZ0PotJxtERVmoMsM0BptHQU5eIPNIAdNeEg7
 TNMsOoKICvgaHw0ASR9YvAcUh7Wh+VYATO8ifh90QYo7ebeusNPIBfMSzCdVrPHDctwwpl9Z7
 C+ckG+3H0p5kAZ5/ZkY17glpp82MaSqfpmUGG3kAJ6bTM4gdBYobXanYXxi5In2kdmDzxO/K1
 NvjhdqlTkko/118/qdimjuIgjP3nMexsqoI+SN4tBOCx8jNY9zVuUaJ/mcv6HiVn/YZvwPnTZ
 yq3rhRyRBEZ+aXHn2xzHdopGaa5w0qUuzb6THVV+8TUMY9d1SEh304ZxDf65bhAd2OB4fvjnc
 lapm/cNePMmGCI6xC0R5YCnRLnqc5NmWOkWmAKpvfep60XSUJIfOe+roQTqF3ovEXh87Nyygm
 ANelGgqQKFaOzZaZc1Fuyo5JqEHrg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 11748
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


What is the basis for closing this bug report? The issue has not yet
been fixed (6+ years and counting...).


On 2018-10-15 13:11, GNU bug Tracking System wrote:
> This is an automatic notification regarding your bug report
> #11748: date: "Asia" Timezone,
> which was filed against the coreutils package.
>
> Thank you for your report, which has now been closed.
> You can view the full report at
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11748
>
> If you require further information, please followup to 11748 <at> debbugs.gnu.org.
>
> debbugs.gnu.org maintainers
> (administrator, GNU bugs database)
>

-- 
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0




Information forwarded to bug-coreutils@HIDDEN:
bug#11748; Package coreutils. Full text available.
bug closed, send any further explanations to 11748 <at> debbugs.gnu.org and Boruch Baum <boruch_baum@HIDDEN> Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'date: "Asia" Timezone' from '"Asia" Timezone' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11748 <at> debbugs.gnu.org:


Received: (at 11748) by debbugs.gnu.org; 20 Jun 2012 08:27:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 20 04:27:31 2012
Received: from localhost ([127.0.0.1]:49387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ShGGB-0002Yk-8d
	for submit <at> debbugs.gnu.org; Wed, 20 Jun 2012 04:27:31 -0400
Received: from mx1.redhat.com ([209.132.183.28]:32951)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <P@HIDDEN>) id 1ShGG9-0002Yc-2F
	for 11748 <at> debbugs.gnu.org; Wed, 20 Jun 2012 04:27:30 -0400
Received: from int-mx12.intmail.prod.int.phx2.redhat.com
	(int-mx12.intmail.prod.int.phx2.redhat.com [10.5.11.25])
	by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id q5K8O1Ak012394
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 20 Jun 2012 04:24:01 -0400
Received: from [10.36.116.82] (ovpn-116-82.ams2.redhat.com [10.36.116.82])
	by int-mx12.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP
	id q5K8Nw5T029327
	(version=TLSv1/SSLv3 cipher=DHE-RSA-CAMELLIA256-SHA bits=256 verify=NO);
	Wed, 20 Jun 2012 04:24:00 -0400
Message-ID: <4FE1889E.2060606@HIDDEN>
Date: Wed, 20 Jun 2012 09:23:58 +0100
From: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:6.0) Gecko/20110816 Thunderbird/6.0
MIME-Version: 1.0
To: Boruch Baum <boruch_baum@HIDDEN>
Subject: Re: bug#11748: "Asia" Timezone
References: <4FE0DA76.2000501@HIDDEN>
In-Reply-To: <4FE0DA76.2000501@HIDDEN>
X-Enigmail-Version: 1.3.2
Content-Type: text/plain; charset=UTF-8
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.25
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by mx1.redhat.com id
	q5K8O1Ak012394
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 11748
Cc: 11748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

On 06/19/2012 09:00 PM, Boruch Baum wrote:
> I was recently showing off ...
> and I entered the following command
>=20
> $ date && TZ=3DAsia/Moscow date
> Tue Jun 19 15:48:14 EDT 2012
> Tue Jun 19 19:48:14 Asia 2012
> $ TZ=3DEurope/Moscow date
> Tue Jun 19 23:48:59 MSK 2012
>=20
> My initial reaction, besides some embarrassment
> at getting the continent wrong (and most of
> Russia's timezone are in Asia), is that this
> is a bug in the coreutils date command.
> However, I've also posted this info to the
> iana timezone mailing list, just in case.
>=20
> It's a double bug. The date command is printing
> out a non-existent timezone, and it's using GMT for
> "Asia".

So this is due to TZ needing to support two formats.
POSIX and location based.

The POSIX format is a zone[+offset] format, though
is nonsensical and best avoided as detailed here:
http://www.pixelbeat.org/docs/linux_timezones/index.html

The location based format is what you were trying
to use here, but date fell back to the POSIX format
when there was no match.

Now on GNU/Linux you could warn if there was
no match for TZ with a leading ':' or non number after '/'
But I can't see a way to determine if tzset(3) did
find a match or not :(

cheers,
P=C3=A1draig.




Information forwarded to bug-coreutils@HIDDEN:
bug#11748; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jun 2012 20:04:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 19 16:04:04 2012
Received: from localhost ([127.0.0.1]:48957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sh4ei-0000RB-Mg
	for submit <at> debbugs.gnu.org; Tue, 19 Jun 2012 16:04:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41710)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <boruch_baum@HIDDEN>) id 1Sh4eg-0000R5-NA
	for submit <at> debbugs.gnu.org; Tue, 19 Jun 2012 16:04:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <boruch_baum@HIDDEN>) id 1Sh4bL-0000qV-E4
	for submit <at> debbugs.gnu.org; Tue, 19 Jun 2012 16:00:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:45572)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <boruch_baum@HIDDEN>) id 1Sh4bL-0000qN-AI
	for submit <at> debbugs.gnu.org; Tue, 19 Jun 2012 16:00:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52072)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <boruch_baum@HIDDEN>) id 1Sh4bJ-0008G7-M9
	for bug-coreutils@HIDDEN; Tue, 19 Jun 2012 16:00:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <boruch_baum@HIDDEN>) id 1Sh4bD-0000ow-6R
	for bug-coreutils@HIDDEN; Tue, 19 Jun 2012 16:00:33 -0400
Received: from mailout-us.gmx.com ([74.208.5.67]:33742)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <boruch_baum@HIDDEN>) id 1Sh4bC-0000nw-U7
	for bug-coreutils@HIDDEN; Tue, 19 Jun 2012 16:00:27 -0400
Received: (qmail invoked by alias); 19 Jun 2012 20:00:23 -0000
Received: from ool-1892e4ed.dyn.optonline.net (EHLO [10.199.4.171])
	[24.146.228.237]
	by mail.gmx.com (mp-us001) with SMTP; 19 Jun 2012 16:00:23 -0400
X-Authenticated: #137283704
X-Provags-ID: V01U2FsdGVkX1/R7d04YmvRXbN69cqb4j00DeHCIRyI53yUh9DamX
	FApLoC3GSrL0AX
Message-ID: <4FE0DA76.2000501@HIDDEN>
Date: Tue, 19 Jun 2012 16:00:54 -0400
From: Boruch Baum <boruch_baum@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:10.0.4) Gecko/20120510 Icedove/10.0.4
MIME-Version: 1.0
To: bug-coreutils@HIDDEN
Subject: "Asia" Timezone
X-Enigmail-Version: 1.4.1
OpenPGP: url=hkp://keys.gnupg.net
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

I was recently showing off ...
and I entered the following command

$ date && TZ=Asia/Moscow date
Tue Jun 19 15:48:14 EDT 2012
Tue Jun 19 19:48:14 Asia 2012
$ TZ=Europe/Moscow date
Tue Jun 19 23:48:59 MSK 2012

My initial reaction, besides some embarrassment
at getting the continent wrong (and most of
Russia's timezone are in Asia), is that this
is a bug in the coreutils date command.
However, I've also posted this info to the
iana timezone mailing list, just in case.

It's a double bug. The date command is printing
out a non-existent timezone, and it's using GMT for
"Asia".

-- 
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0





Acknowledgement sent to Boruch Baum <boruch_baum@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#11748; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 15 Oct 2018 23:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.